## ktp-text-ui 0.6.3

=== CMakeLists.txt ===
project(ktp-text-ui)

set(KTP_TEXT_UI_VERSION "0.6.3")
set(KTP_MESSAGE_FILTER_FRAMEWORK_VERSION "4")
set(IS_KTP_INTERNAL_MODULE TRUE)

# Include our extra FindFoo.cmake files.
set (CMAKE_MODULE_PATH
     "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules"
     ${CMAKE_MODULE_PATH}
)
cmake_policy(SET CMP0002 OLD)

set(KDE_MIN_VERSION "4.4.75")
find_package (KDE4 ${KDE_MIN_VERSION} REQUIRED)
find_package (TelepathyQt4 0.9.1 REQUIRED)
find_package (KTp REQUIRED)
find_package (TelepathyLoggerQt4 0.5.60 REQUIRED)


# FUTURE: When we can depend on KDE 4.10, use emoticoncontexteditaction from here
# find_package(KdepimLibs 4.10 REQUIRED)


include (CheckIncludeFiles)
include (KDE4Defaults)
include (MacroLibrary)

include_directories (${KDE4_INCLUDES}
                     ${TELEPATHY_QT4_INCLUDE_DIR}
                     ${QT_QTWEBKIT_INCLUDES}
                     ${KTP_INCLUDE_DIR}
                     ${TELEPATHY_LOGGER_QT4_INCLUDE_DIRS}
                     "${CMAKE_CURRENT_SOURCE_DIR}/lib"
)

add_definitions (${KDE4_DEFINITIONS}
                 ${TELEPATHY_LOGGER_QT4_DEFINITIONS}
                 -DQT_NO_CAST_FROM_ASCII
                 -DQT_NO_KEYWORDS)

configure_file(version.h.in ${CMAKE_CURRENT_BINARY_DIR}/version.h @ONLY)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_subdirectory(lib)
add_subdirectory(app)
add_subdirectory(config)
add_subdirectory(data)
add_subdirectory(adiumxtra-protocol-handler)
add_subdirectory(logviewer)
add_subdirectory(filters)
find_package(Msgfmt REQUIRED)
find_package(Gettext REQUIRED)
add_subdirectory( po )

## ktp-text-ui 0.3.1

=== debian/changelog ===
ktp-text-ui (0.3.1-0ubuntu1) precise; urgency=low

  * new upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 10 Apr 2012 11:34:07 +0100

ktp-text-ui (0.3.0-0ubuntu1) precise; urgency=low

  * Initial Kubuntu package, based on Debian unreleased packaging

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 04 Feb 2012 14:16:20 +0100

=== debian/control ===
Source: ktp-text-ui
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: George Kiagiadakis <kiagiadakis.george@gmail.com>
Build-Depends: debhelper (>= 8),
 pkg-kde-tools (>= 0.9),
 libtelepathy-qt4-dev (>= 0.7.1),
 kdelibs5-dev (>= 4:4.6),
 libqtwebkit-dev,
 cmake (>= 2.8),
 libktpcommoninternalsprivate-dev (>= 0.3.0)
Standards-Version: 3.9.2
Homepage: https://projects.kde.org/projects/playground/network/telepathy/telepathy-chat-handler

Package: kde-telepathy-text-ui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kde-telepathy-data (>= 0.3)
Recommends: kde-telepathy
Description: Telepathy text chat handler for the KDE Plasma Desktop
 This package provides a telepathy handler for text channels, a program
 that in other words allows you to chat with your contacts using instant
 text messages.
 .
 This package is not meant to be used standalone. It is recommended
 to install the telepathy-kde metapackage instead.

Package: kde-telepathy-text-ui-dbg
Architecture: any
Section: debug
Priority: extra
Depends: kde-telepathy-text-ui (= ${binary:Version}), ${misc:Depends}
Description: Telepathy text chat handler for the KDE Plasma Desktop - debug symbols
 This package provides debug symbols for the KDE Telepathy text chat handler.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_install:
	dh_install --list-missing
	rm "debian/kde-telepathy-text-ui/usr/share/kde4/apps/ktelepathy/styles/renkoo.AdiumMessageStyle/Contents/Resources/Renkoo LICENSE.txt"
	rm "debian/kde-telepathy-text-ui/usr/share/kde4/apps/ktelepathy/styles/simkete/Contents/README"

%:
	dh $@ --parallel --with kde --dbg-package=kde-telepathy-text-ui-dbg

## ktp-text-ui 0.4.0

=== debian/changelog ===
ktp-text-ui (0.4.0-1) unstable; urgency=low

  * Initial release.

 -- George Kiagiadakis <kiagiadakis.george@gmail.com>  Mon, 18 Jun 2012 22:27:06 +0300

=== debian/control ===
Source: ktp-text-ui
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: George Kiagiadakis <kiagiadakis.george@gmail.com>
Build-Depends: debhelper (>= 9),
 pkg-kde-tools (>= 0.9),
 libtelepathy-qt4-dev (>= 0.9.1),
 kdelibs5-dev (>= 4:4.6),
 libqtwebkit-dev,
 cmake (>= 2.8),
 libktpcommoninternalsprivate-dev (>= 0.4.0),
 libtelepathy-logger-qt4-dev (>= 0.4.0)
Standards-Version: 3.9.3
Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-text-ui
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-text-ui.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/kde-telepathy/ktp-text-ui.git

Package: libktpchat0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: KDE Telepathy text chat functionality shared library
 This package provides a shared library with common functionality
 for handling text chat in KDE Telepathy.

Package: kde-telepathy-text-ui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libktpchat0 (= ${binary:Version}),
 kde-telepathy-data (>= 0.4)
Recommends: kde-telepathy
Description: Telepathy text chat UI for the KDE Plasma Desktop
 This package provides a telepathy handler for text channels, a program
 that in other words allows you to chat with your contacts using instant
 text messages.
 .
 In addition, this package also provides a UI for viewing telepathy
 text chat logs.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

Package: plasma-widget-telepathy-chat
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libktpchat0 (= ${binary:Version}),
 kde-runtime-data (>= 4:4.8),
 kde-telepathy-data (>= 0.4)
Recommends: kde-telepathy
Description: Telepathy text chat plasma widget
 This package provides a plasma widget that allows you to chat with
 your contacts directly from your desktop.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

Package: kde-telepathy-text-ui-dbg
Architecture: any
Section: debug
Priority: extra
Depends: kde-telepathy-text-ui (= ${binary:Version}), ${misc:Depends}
Description: Telepathy text chat UI for the KDE Plasma Desktop - debug symbols
 This package provides debug symbols for the KDE Telepathy text chat UI.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_install:
	dh_install --list-missing
	rm "debian/kde-telepathy-text-ui/usr/share/kde4/apps/ktelepathy/styles/renkoo.AdiumMessageStyle/Contents/Resources/Renkoo LICENSE.txt"
	rm "debian/kde-telepathy-text-ui/usr/share/kde4/apps/ktelepathy/styles/SimKete.AdiumMessageStyle/Contents/README"

%:
	dh $@ --parallel --with kde --dbg-package=kde-telepathy-text-ui-dbg

=== debian/watch ===
version=3

ftp://ftp.kde.org/pub/kde/unstable/kde-telepathy/([\d.]+)/src/ktp-text-ui-([\d.]+).tar.bz2

## ktp-text-ui 0.5.1

=== debian/changelog ===
ktp-text-ui (0.5.1-0ubuntu1) quantal-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 05 Oct 2012 03:39:41 +0530

ktp-text-ui (0.5.0-0ubuntu1) quantal; urgency=low

  * New upstream release
    - Drop 03_no_redundant_glib_calls.diff 
    - Update 02_ktpchat_soversion.diff
    - Disable tests
    - Update install file

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 26 Aug 2012 12:46:37 +0530

ktp-text-ui (0.4.1-0ubuntu1) quantal; urgency=low

  * New upstream release
  * debian/patches:
    - Dropped patches/03_no_redundant_glib_calls.diff - went upstream
    - Refreshed 01_no_useless_dependencies.diff - a part of it went upstream

 -- Michal Zajac <quintasan@kubuntu.org>  Tue, 31 Jul 2012 14:17:35 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ktp-text-ui
 Section: kde
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: George Kiagiadakis <kiagiadakis.george@gmail.com>
 Build-Depends: debhelper (>= 9),
  pkg-kde-tools (>= 0.9),
@@ -9,7 +10,7 @@
  kdelibs5-dev (>= 4:4.6),
  libqtwebkit-dev,
  cmake (>= 2.8),
- libktpcommoninternalsprivate-dev (>= 0.4.0),
+ libktpcommoninternalsprivate-dev (>= 0.5.1),
  libtelepathy-logger-qt4-dev (>= 0.4.0)
 Standards-Version: 3.9.3
 Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-text-ui

## ktp-text-ui 0.5.2

=== debian/changelog ===
ktp-text-ui (0.5.2-0ubuntu2) raring; urgency=low

  * Rebuild-only upload to fix ktp-text-ui looking for wrong libary

 -- Michal Zajac <quintasan@kubuntu.org>  Wed, 02 Jan 2013 19:20:09 +0100

ktp-text-ui (0.5.2-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 19 Dec 2012 00:27:00 +0530

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  kdelibs5-dev (>= 4:4.6),
  libqtwebkit-dev,
  cmake (>= 2.8),
- libktpcommoninternalsprivate-dev (>= 0.5.1),
+ libktpcommoninternalsprivate-dev (>= 0.5.2),
  libtelepathy-logger-qt4-dev (>= 0.4.0)
 Standards-Version: 3.9.3
 Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-text-ui

## ktp-text-ui 0.6.1

=== debian/changelog ===
ktp-text-ui (0.6.1-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 17 Apr 2013 10:33:04 +0100

ktp-text-ui (0.6.0-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 03 Apr 2013 11:16:03 +0100

ktp-text-ui (0.5.80-0ubuntu1) raring; urgency=low

  * New upstream release
    - Add libtelepathy-logger-qt4-dev, libtelepathy-logger-dev as build-deps
    - Drop plasma-widget-telepathy-chat from ktp-text-ui
    - Drop 01_no_useless_dependencies.diff, not required
    - Drop 03_disable_tests.diff, not required

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 07 Mar 2013 16:27:09 +0000

ktp-text-ui (0.5.3-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 18 Feb 2013 16:30:01 +0530

=== debian/control ===
Source: ktp-text-ui
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: George Kiagiadakis <kiagiadakis.george@gmail.com>
Build-Depends: cmake (>= 2.8),
               debhelper (>= 9),
               kdelibs5-dev (>= 4:4.6),
               libktpcommoninternalsprivate-dev (>= 0.6.0),
               libqtwebkit-dev,
               libtelepathy-logger-dev,
               libtelepathy-logger-qt4-dev (>= 0.6.0),
               libtelepathy-qt4-dev (>= 0.9.1),
               pkg-kde-tools (>= 0.9)
Standards-Version: 3.9.3
Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-text-ui
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-text-ui.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/kde-telepathy/ktp-text-ui.git

Package: libktpchat0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE Telepathy text chat functionality shared library
 This package provides a shared library with common functionality
 for handling text chat in KDE Telepathy.

Package: kde-telepathy-text-ui
Architecture: any
Depends: kde-telepathy-data (>= 0.4),
         libktpchat0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: kde-telepathy
Description: Telepathy text chat UI for the KDE Plasma Desktop
 This package provides a telepathy handler for text channels, a program
 that in other words allows you to chat with your contacts using instant
 text messages.
 .
 In addition, this package also provides a UI for viewing telepathy
 text chat logs.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

Package: kde-telepathy-text-ui-dbg
Architecture: any
Section: debug
Priority: extra
Depends: kde-telepathy-text-ui (= ${binary:Version}), ${misc:Depends}
Description: Telepathy text chat UI for the KDE Plasma Desktop - debug symbols
 This package provides debug symbols for the KDE Telepathy text chat UI.

## ktp-text-ui 0.6.3

=== debian/changelog ===
ktp-text-ui (0.6.3-1) unstable; urgency=low

  [ Ritesh Raj Sarraf ]
  * [e26f6a8] drop patch 03_no_redundant_glib_calls.diff
  * [459ee64] Drop tests, for now, as they are failing

  [ Diane Trout ]
  * Update watch file as KDE-Telepathy is now in stable release.
  * Bump ktp-common-internals version
  * Plasma-widget-telpathy-chat was moved to ktp-desktop-applet
  * Add telepathy-logger dependency
  * Imported Upstream version 0.6.2.1
  * Refresh patches
  * Bump ktp-common-internal dependency
  * Set Uploaders to Diane Trout and Michał Zając
  * Update to Standards-Version 3.9.4. No changes needed.
  * Add several plugins to kde-telepathy-text-ui.install
  * Add description to 02_ktpchat_soversion.diff
  * Merge libktpchat0 into ktp-telepathy-text-ui.
  * Override lintian warnings about the libktpchat0 library.

  [ Mark Purcell ] 
  * Imported Upstream version 0.6.3
  * Add myself to Uploaders
  * Update Build-Depends: libktpcommoninternalsprivate-dev (>= 0.6.3)

 -- Mark Purcell <msp@debian.org>  Sun, 11 Aug 2013 11:01:09 +1000

=== debian/control ===
Source: ktp-text-ui
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Diane Trout <diane@ghic.org>, Michał Zając <quintasan@kubuntu.org>, Mark Purcell <msp@debian.org>
Build-Depends: debhelper (>= 9),
 pkg-kde-tools (>= 0.9),
 libtelepathy-qt4-dev (>= 0.9.3),
 kdelibs5-dev (>= 4:4.6),
 libqtwebkit-dev,
 cmake (>= 2.8),
 libktpcommoninternalsprivate-dev (>= 0.6.3),
 libtelepathy-logger-dev,
 libtelepathy-logger-qt4-dev (>= 0.5.60)
Standards-Version: 3.9.4
Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-text-ui
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-text-ui.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/kde-telepathy/ktp-text-ui.git

Package: kde-telepathy-text-ui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 kde-telepathy-data (>= 0.6.2)
Recommends: kde-telepathy
Replaces: libktpchat0
Description: Telepathy text chat UI for the KDE Plasma Desktop
 This package provides a telepathy handler for text channels, a program
 that in other words allows you to chat with your contacts using instant
 text messages.
 .
 In addition, this package also provides a UI for viewing telepathy
 text chat logs.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

Package: kde-telepathy-text-ui-dbg
Architecture: any
Section: debug
Priority: extra
Depends: kde-telepathy-text-ui (= ${binary:Version}), ${misc:Depends}
Description: Telepathy text chat UI for the KDE Plasma Desktop - debug symbols
 This package provides debug symbols for the KDE Telepathy text chat UI.

## ktp-text-ui 0.8.0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(ktp-text-ui)
 
-set(KTP_TEXT_UI_VERSION "0.6.3")
+set(KTP_TEXT_UI_VERSION "0.8.0")
 set(KTP_MESSAGE_FILTER_FRAMEWORK_VERSION "4")
 set(IS_KTP_INTERNAL_MODULE TRUE)
 
@@ -15,12 +15,9 @@
 find_package (KDE4 ${KDE_MIN_VERSION} REQUIRED)
 find_package (TelepathyQt4 0.9.1 REQUIRED)
 find_package (KTp REQUIRED)
-find_package (TelepathyLoggerQt4 0.5.60 REQUIRED)
-
 
 # FUTURE: When we can depend on KDE 4.10, use emoticoncontexteditaction from here
 # find_package(KdepimLibs 4.10 REQUIRED)
-
 
 include (CheckIncludeFiles)
 include (KDE4Defaults)
@@ -30,12 +27,10 @@
                      ${TELEPATHY_QT4_INCLUDE_DIR}
                      ${QT_QTWEBKIT_INCLUDES}
                      ${KTP_INCLUDE_DIR}
-                     ${TELEPATHY_LOGGER_QT4_INCLUDE_DIRS}
                      "${CMAKE_CURRENT_SOURCE_DIR}/lib"
 )
 
 add_definitions (${KDE4_DEFINITIONS}
-                 ${TELEPATHY_LOGGER_QT4_DEFINITIONS}
                  -DQT_NO_CAST_FROM_ASCII
                  -DQT_NO_KEYWORDS)
 
@@ -47,8 +42,8 @@
 add_subdirectory(config)
 add_subdirectory(data)
 add_subdirectory(adiumxtra-protocol-handler)
+add_subdirectory(filters)
 add_subdirectory(logviewer)
-add_subdirectory(filters)
 find_package(Msgfmt REQUIRED)
 find_package(Gettext REQUIRED)
 add_subdirectory( po )

=== app/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR}/lib)

set(ktp-text-ui_SRCS
        main.cpp
        telepathy-chat-ui.cpp
        chat-window.cpp
        chat-tab.cpp
        emoticon-text-edit-action.cpp
        emoticon-text-edit-selector.cpp
        invite-contact-dialog.cpp       
)

kde4_add_executable(ktp-text-ui ${ktp-text-ui_SRCS})

target_link_libraries(ktp-text-ui
            ${KDE4_KDECORE_LIBS}
            ${KDE4_KDEUI_LIBS}
            ${KDE4_KIO_LIBS}
            ${KDE4_KEMOTICONS_LIBS}
            ${TELEPATHY_QT4_LIBRARIES}
            ${KTP_LIBRARIES}
            ${KTP_MODELS_LIBRARIES}
            ${KTP_WIDGETS_LIBRARIES}
            ${QT_QTWEBKIT_LIBRARY}
            ${KDE4_KNOTIFYCONFIG_LIBS}
            ${KDE4_KCMUTILS_LIBS}
            ${KDEPIMLIBS_KPIMTEXTEDIT_LIBS}
            ktpchat)

configure_file(org.freedesktop.Telepathy.Client.KTp.TextUi.service.in
               ${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.Telepathy.Client.KTp.TextUi.service)

install(TARGETS ktp-text-ui DESTINATION ${LIBEXEC_INSTALL_DIR})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.Telepathy.Client.KTp.TextUi.service
        DESTINATION ${DBUS_SERVICES_INSTALL_DIR})
install(FILES KTp.TextUi.client DESTINATION ${SHARE_INSTALL_PREFIX}/telepathy/clients/)
install(FILES chatwindow.rc
        DESTINATION  ${DATA_INSTALL_DIR}/ktp-text-ui/)

=== config/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR}/lib)

set(kcm_ktp_chat_appearance_SRCS appearance-config-tab.cpp appearance-config.cpp)
set(kcm_ktp_chat_behavior_SRCS behavior-config.cpp)
set(kcm_ktp_chat_messages_SRCS messages-config.cpp)

set(kcm_ktp_chat_appearance_UI appearance-config.ui)
set(kcm_ktp_chat_behavior_UI behavior-config.ui)

kde4_add_ui_files(kcm_ktp_chat_appearance_SRCS ${kcm_ktp_chat_appearance_UI})
kde4_add_ui_files(kcm_ktp_chat_behavior_SRCS ${kcm_ktp_chat_behavior_UI})

kde4_add_plugin(kcm_ktp_chat_appearance ${kcm_ktp_chat_appearance_SRCS})
kde4_add_plugin(kcm_ktp_chat_behavior ${kcm_ktp_chat_behavior_SRCS})
kde4_add_plugin(kcm_ktp_chat_messages ${kcm_ktp_chat_messages_SRCS})

target_link_libraries(kcm_ktp_chat_appearance
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${QT_QTWEBKIT_LIBRARY}
    ${KDE4_KCMUTILS_LIBS}
    ktpchat
)
target_link_libraries(kcm_ktp_chat_behavior
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KCMUTILS_LIBS}
    ktpchat
)
target_link_libraries(kcm_ktp_chat_messages
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KUTILS_LIBS}
    ${KTP_LIBRARIES}
    ktpchat
)


install(TARGETS
        kcm_ktp_chat_appearance
        kcm_ktp_chat_behavior
        kcm_ktp_chat_messages
    DESTINATION ${PLUGIN_INSTALL_DIR}
)
install(FILES
        kcm_ktp_chat_appearance.desktop
        kcm_ktp_chat_behavior.desktop
        kcm_ktp_chat_messages.desktop
    DESTINATION ${SERVICES_INSTALL_DIR}
)

=== lib/CMakeLists.txt ===
include_directories (${KTP_INCLUDE_DIR})

set(ktpchat_SRCS
        chat-widget.cpp
        chat-window-style.cpp
        chat-window-style-manager.cpp
        adium-theme-view.cpp
        adium-theme-header-info.cpp
        adium-theme-message-info.cpp
        adium-theme-content-info.cpp
        adium-theme-status-info.cpp
        channel-contact-model.cpp
        chat-style-plist-file-reader.cpp
        chat-text-edit.cpp
        chat-search-bar.cpp
        notify-filter.cpp
        text-chat-config.cpp
)

set(ktpchat_UI
    chat-widget.ui
)

kde4_add_ui_files(ktpchat_SRCS ${ktpchat_UI})

kde4_add_library(ktpchat SHARED ${ktpchat_SRCS})

target_link_libraries(ktpchat
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KIO_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${TELEPATHY_QT4_LIBRARIES}
    ${KDE4_KDEWEBKIT_LIBRARY}
    ${KDE4_KEMOTICONS_LIBS}
    ${KTP_LIBRARIES}
    ${KTP_LOGGER_LIBRARIES}
)
install(TARGETS ktpchat ${INSTALL_TARGETS_DEFAULT_ARGS})


install(FILES
        ktptxtui_message_filter.desktop
        DESTINATION
        ${SERVICETYPES_INSTALL_DIR}
)

=== filters/bugzilla/CMakeLists.txt ===
set (ktptextui_message_filter_bugzilla_SRCS
     bugzilla-filter.cpp
)

kde4_add_plugin (ktptextui_message_filter_bugzilla
                 ${ktptextui_message_filter_bugzilla_SRCS}
)

target_link_libraries (ktptextui_message_filter_bugzilla
    ${QT_LIBRARIES}
    ${KDE4_KIO_LIBS}
    ${KTP_LIBRARIES}
    ${TELEPATHY_QT4_LIBRARIES}
)

# Install:
install (TARGETS ktptextui_message_filter_bugzilla
         DESTINATION ${PLUGIN_INSTALL_DIR}
)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/ktptextui_message_filter_bugzilla.desktop.cmake
               ${CMAKE_CURRENT_BINARY_DIR}/ktptextui_message_filter_bugzilla.desktop
               @ONLY)

install (FILES ${CMAKE_CURRENT_BINARY_DIR}/ktptextui_message_filter_bugzilla.desktop
         DESTINATION ${SERVICES_INSTALL_DIR}
)

install (FILES showBugzillaInfo.js
         DESTINATION ${DATA_INSTALL_DIR}/ktelepathy)

=== filters/texttospeech/CMakeLists.txt ===
set (ktptextui_message_filter_tts_SRCS
     tts-filter.cpp
)

kde4_add_ui_files (ktptextui_message_filter_tts_SRCS
)

qt4_add_dbus_interfaces(ktptextui_message_filter_tts_SRCS ${KDE4_DBUS_INTERFACES_DIR}/org.kde.KSpeech.xml)

kde4_add_plugin (ktptextui_message_filter_tts
                 ${ktptextui_message_filter_tts_SRCS}
)

target_link_libraries (ktptextui_message_filter_tts
    ${QT_LIBRARIES}
    ${KDE4_KDEUI_LIBS}
    ${TELEPATHY_QT4_LIBRARIES}
    ${KTP_LIBRARIES}
)

# Install:
install (TARGETS ktptextui_message_filter_tts
         DESTINATION ${PLUGIN_INSTALL_DIR}
)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/ktptextui_message_filter_tts.desktop.cmake
               ${CMAKE_CURRENT_BINARY_DIR}/ktptextui_message_filter_tts.desktop
               @ONLY)

install (FILES ${CMAKE_CURRENT_BINARY_DIR}/ktptextui_message_filter_tts.desktop
         DESTINATION ${SERVICES_INSTALL_DIR}
)

=== filters/youtube/CMakeLists.txt ===
set (ktptextui_message_filter_youtube_SRCS
     youtube-filter.cpp
)

kde4_add_plugin (ktptextui_message_filter_youtube
                 ${ktptextui_message_filter_youtube_SRCS}
)

target_link_libraries (ktptextui_message_filter_youtube
    ktpchat
    ${QT_LIBRARIES}
    ${KDE4_KIO_LIBS}
    ${TELEPATHY_QT4_LIBRARIES}
    ${KTP_LIBRARIES}
)

# Install:
install (TARGETS ktptextui_message_filter_youtube
         DESTINATION ${PLUGIN_INSTALL_DIR}
)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/ktptextui_message_filter_youtube.desktop.cmake
               ${CMAKE_CURRENT_BINARY_DIR}/ktptextui_message_filter_youtube.desktop
               @ONLY)

install (FILES ${CMAKE_CURRENT_BINARY_DIR}/ktptextui_message_filter_youtube.desktop
         DESTINATION ${SERVICES_INSTALL_DIR}
)

=== logviewer/config/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR}/lib ${CMAKE_SOURCE_DIR}/logviewer)

set(kcm_ktp_logviewer_behavior_SRCS behavior-config.cpp)

set(kcm_ktp_logviewer_behavior_UI behavior-config.ui)

kde4_add_ui_files(kcm_ktp_logviewer_behavior_SRCS ${kcm_ktp_logviewer_behavior_UI})

kde4_add_plugin(kcm_ktp_logviewer_behavior ${kcm_ktp_logviewer_behavior_SRCS})

target_link_libraries(kcm_ktp_logviewer_behavior
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KCMUTILS_LIBS}
    ktpchat
)

install(TARGETS
        kcm_ktp_logviewer_behavior
    DESTINATION ${PLUGIN_INSTALL_DIR}
)
install(FILES
        kcm_ktp_logviewer_behavior.desktop
    DESTINATION ${SERVICES_INSTALL_DIR}
)

=== debian/changelog ===
ktp-text-ui (0.8.0.1-0ubuntu1) trusty; urgency=medium

  * New upstream release (LP: #1297351)

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 01 Apr 2014 15:30:58 +0200

ktp-text-ui (0.7.80-0ubuntu1) trusty; urgency=medium

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 18 Feb 2014 00:15:31 +0100

ktp-text-ui (0.7.1-0ubuntu1) trusty; urgency=medium

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 29 Jan 2014 19:47:25 +0100

ktp-text-ui (0.7.0-0ubuntu1) trusty; urgency=low

  * New upstream release
  * Add libqjson-dev to Build-Depends
  * Add 04_no_require_x11.patch from upstream

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 29 Oct 2013 12:47:49 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ktp-text-ui
 Section: kde
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Diane Trout <diane@ghic.org>, Michał Zając <quintasan@kubuntu.org>, Mark Purcell <msp@debian.org>
 Build-Depends: debhelper (>= 9),
  pkg-kde-tools (>= 0.9),
@@ -9,9 +10,10 @@
  kdelibs5-dev (>= 4:4.6),
  libqtwebkit-dev,
  cmake (>= 2.8),
- libktpcommoninternalsprivate-dev (>= 0.6.3),
+ libktpcommoninternalsprivate-dev (>= 0.8.0),
  libtelepathy-logger-dev,
- libtelepathy-logger-qt4-dev (>= 0.5.60)
+ libtelepathy-logger-qt4-dev (>= 0.5.60),
+ libqjson-dev
 Standards-Version: 3.9.4
 Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-text-ui
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-text-ui.git

=== debian/watch ===
version=3

ftp://ftp.kde.org/pub/kde/stable/kde-telepathy/([\d.]+)/src/ktp-text-ui-([\d.]+).tar.bz2

## ktp-text-ui 0.8.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(ktp-text-ui)
 
-set(KTP_TEXT_UI_VERSION "0.8.0")
+set(KTP_TEXT_UI_VERSION "0.8.1")
 set(KTP_MESSAGE_FILTER_FRAMEWORK_VERSION "4")
 set(IS_KTP_INTERNAL_MODULE TRUE)

=== filters/CMakeLists.txt ===
add_subdirectory(bugzilla)
add_subdirectory(emoticons)
add_subdirectory(formatting)
add_subdirectory(images)
add_subdirectory(latex)
add_subdirectory(searchexpansion)
add_subdirectory(youtube)
add_subdirectory(highlight)
add_subdirectory(urlexpansion)

IF (EXISTS "${KDE4_DBUS_INTERFACES_DIR}/org.kde.KSpeech.xml")
    set (HAS_KTTS TRUE)
ENDIF (EXISTS "${KDE4_DBUS_INTERFACES_DIR}/org.kde.KSpeech.xml")

if(HAS_KTTS)
    add_subdirectory(texttospeech)
endif(HAS_KTTS)

macro_log_feature(HAS_KTTS "KTTSD" "KDE Text to Speech Deamon" "" FALSE "" "Needed for optional tts message plugin")

=== logviewer/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR}/lib)

set(ktp-log-viewer_SRCS
        main.cpp
        log-viewer.cpp
        logs-import-dialog.cpp
        dates-model.cpp
        dates-view-delegate.cpp
        entity-model.cpp
        message-view.cpp
        entity-view.cpp
        entity-view-delegate.cpp
        entity-filter-model.cpp
        person-entity-merge-model.cpp
)

add_subdirectory(config)

kde4_add_ui_files(ktp-log-viewer_SRCS log-viewer.ui)

kde4_add_executable(ktp-log-viewer ${ktp-log-viewer_SRCS})

target_link_libraries(ktp-log-viewer
            ${KDE4_KDECORE_LIBS}
            ${KDE4_KDEUI_LIBS}
            ${KDE4_KIO_LIBS}
            ${TELEPATHY_QT4_LIBRARIES}
            ${KDE4_KEMOTICONS_LIBS}
            ${KDE4_KCMUTILS_LIBS}
            ${KDE4_KDEWEBKIT_LIBRARY}
            ${KTP_LIBRARIES}
            ${KTP_LOGGER_LIBRARIES}
            ${KTP_MODELS_LIBRARIES}
            ktpchat)

install(TARGETS ktp-log-viewer DESTINATION ${BIN_INSTALL_DIR})
install(FILES ktp-log-viewer.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install(FILES log-viewer.rc DESTINATION  ${DATA_INSTALL_DIR}/ktp-log-viewer/)

=== po/CMakeLists.txt ===
add_subdirectory( bs )
add_subdirectory( ca )
add_subdirectory( ca@valencia )
add_subdirectory( cs )
add_subdirectory( da )
add_subdirectory( de )
add_subdirectory( el )
add_subdirectory( es )
add_subdirectory( et )
add_subdirectory( fi )
add_subdirectory( fr )
add_subdirectory( ga )
add_subdirectory( gl )
add_subdirectory( hu )
add_subdirectory( ia )
add_subdirectory( it )
add_subdirectory( ja )
add_subdirectory( kk )
add_subdirectory( km )
add_subdirectory( ko )
add_subdirectory( lt )
add_subdirectory( mr )
add_subdirectory( nb )
add_subdirectory( nds )
add_subdirectory( nl )
add_subdirectory( pl )
add_subdirectory( pt )
add_subdirectory( pt_BR )
add_subdirectory( ro )
add_subdirectory( ru )
add_subdirectory( sk )
add_subdirectory( sl )
add_subdirectory( sr )
add_subdirectory( sr@ijekavian )
add_subdirectory( sr@ijekavianlatin )
add_subdirectory( sr@latin )
add_subdirectory( sv )
add_subdirectory( tr )
add_subdirectory( ug )
add_subdirectory( uk )
add_subdirectory( vi )
add_subdirectory( wa )
add_subdirectory( zh_CN )
add_subdirectory( zh_TW )

=== filters/highlight/CMakeLists.txt ===
set (ktptextui_message_filter_highlight_SRCS
     highlight-filter.cpp
)

kde4_add_plugin (ktptextui_message_filter_highlight
                 ${ktptextui_message_filter_highlight_SRCS}
)

target_link_libraries (ktptextui_message_filter_highlight
    ktpchat
    ${QT_LIBRARIES}
    ${KDE4_KDECORE_LIBS}
    ${TELEPATHY_QT4_LIBRARIES}
    ${KTP_LIBRARIES}
)

# Install:
install (TARGETS ktptextui_message_filter_highlight
         DESTINATION ${PLUGIN_INSTALL_DIR}
)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/ktptextui_message_filter_highlight.desktop.cmake
               ${CMAKE_CURRENT_BINARY_DIR}/ktptextui_message_filter_highlight.desktop
               @ONLY)

install (FILES ${CMAKE_CURRENT_BINARY_DIR}/ktptextui_message_filter_highlight.desktop
         DESTINATION ${SERVICES_INSTALL_DIR}
)

=== filters/searchexpansion/CMakeLists.txt ===
set (ktptextui_message_filter_searchexpansion_SRCS
     searchexpansion-filter.cpp
)

kde4_add_plugin (ktptextui_message_filter_searchexpansion
                 ${ktptextui_message_filter_searchexpansion_SRCS}
)

target_link_libraries (ktptextui_message_filter_searchexpansion
    ktpchat
    ${QT_LIBRARIES}
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KIO_LIBS}
    ${TELEPATHY_QT4_LIBRARIES}
    ${KDE4_KEMOTICONS_LIBS}
    ${KTP_LIBRARIES}
)

# Install:
install (TARGETS ktptextui_message_filter_searchexpansion
         DESTINATION ${PLUGIN_INSTALL_DIR}
)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/ktptextui_message_filter_searchexpansion.desktop.cmake
               ${CMAKE_CURRENT_BINARY_DIR}/ktptextui_message_filter_searchexpansion.desktop
               @ONLY)

install (FILES ${CMAKE_CURRENT_BINARY_DIR}/ktptextui_message_filter_searchexpansion.desktop
         DESTINATION ${SERVICES_INSTALL_DIR}
)

=== filters/urlexpansion/CMakeLists.txt ===
find_package(QJSON REQUIRED)

include_directories(${QJSON_INCLUDE_DIR})

set (ktptextui_message_filter_urlexpansion_SRCS
     urlexpansion-filter.cpp
)

kde4_add_plugin (ktptextui_message_filter_urlexpansion
                 ${ktptextui_message_filter_urlexpansion_SRCS}
)

target_link_libraries (ktptextui_message_filter_urlexpansion
    ${QT_LIBRARIES}
    ${KDE4_KIO_LIBS}
    ${KTP_LIBRARIES}
    ${TELEPATHY_QT4_LIBRARIES}
    ${QJSON_LIBRARIES}
)

# Install:
install (TARGETS ktptextui_message_filter_urlexpansion
         DESTINATION ${PLUGIN_INSTALL_DIR}
)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/ktptextui_message_filter_urlexpansion.desktop.cmake
               ${CMAKE_CURRENT_BINARY_DIR}/ktptextui_message_filter_urlexpansion.desktop
               @ONLY)

install (FILES ${CMAKE_CURRENT_BINARY_DIR}/ktptextui_message_filter_urlexpansion.desktop
         DESTINATION ${SERVICES_INSTALL_DIR}
)

install (FILES longurl.js longurlServices.json
         DESTINATION ${DATA_INSTALL_DIR}/ktelepathy)

=== debian/changelog ===
ktp-text-ui (0.8.1-0ubuntu0.1) trusty; urgency=medium

  * No change backport to trusty (LP: #1313611)

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 28 Apr 2014 19:33:30 +0200

ktp-text-ui (0.8.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 28 Apr 2014 17:25:59 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  kdelibs5-dev (>= 4:4.6),
  libqtwebkit-dev,
  cmake (>= 2.8),
- libktpcommoninternalsprivate-dev (>= 0.8.0),
+ libktpcommoninternalsprivate-dev (>= 0.8.1),
  libtelepathy-logger-dev,
  libtelepathy-logger-qt4-dev (>= 0.5.60),
  libqjson-dev

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_install:
	dh_auto_install --destdir=$(CURDIR)/debian/kde-telepathy-text-ui

override_dh_install:
	rm "debian/kde-telepathy-text-ui/usr/share/kde4/apps/ktelepathy/styles/renkoo.AdiumMessageStyle/Contents/Resources/Renkoo LICENSE.txt"
	rm "debian/kde-telepathy-text-ui/usr/share/kde4/apps/ktelepathy/styles/SimKete.AdiumMessageStyle/Contents/README"
	rm debian/kde-telepathy-text-ui/usr/lib/*.so
	dh_install --list-missing 

%:
	dh $@ --parallel --with kde --dbg-package=kde-telepathy-text-ui-dbg

## ktp-text-ui 0.9.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(ktp-text-ui)
 
-set(KTP_TEXT_UI_VERSION "0.8.1")
+set(KTP_TEXT_UI_VERSION "0.9.0")
 set(KTP_MESSAGE_FILTER_FRAMEWORK_VERSION "4")
 set(IS_KTP_INTERNAL_MODULE TRUE)
 
@@ -9,12 +9,23 @@
      "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules"
      ${CMAKE_MODULE_PATH}
 )
-cmake_policy(SET CMP0002 OLD)
+# cmake_policy(SET CMP0002 OLD)
 
 set(KDE_MIN_VERSION "4.4.75")
 find_package (KDE4 ${KDE_MIN_VERSION} REQUIRED)
-find_package (TelepathyQt4 0.9.1 REQUIRED)
+find_package (TelepathyQt4 0.9.5 REQUIRED)
 find_package (KTp REQUIRED)
+find_package (KPeople 0.2)
+
+
+macro_log_feature(KPEOPLE_FOUND "KPeople" "Support for KDE Contact Aggregation" "https://projects.kde.org/libkpeople" FALSE "" "")
+macro_display_feature_log()
+
+if (KPEOPLE_FOUND)
+    add_definitions(-DHAVE_KPEOPLE)
+    find_package (KdepimLibs REQUIRED)
+    include_directories(${KPEOPLE_INCLUDES} ${KDEPIMLIBS_INCLUDE_DIRS})
+endif (KPEOPLE_FOUND)
 
 # FUTURE: When we can depend on KDE 4.10, use emoticoncontexteditaction from here
 # find_package(KdepimLibs 4.10 REQUIRED)
@@ -37,6 +48,7 @@
 configure_file(version.h.in ${CMAKE_CURRENT_BINARY_DIR}/version.h @ONLY)
 include_directories(${CMAKE_CURRENT_BINARY_DIR})
 
+add_subdirectory(image-sharer)
 add_subdirectory(lib)
 add_subdirectory(app)
 add_subdirectory(config)

=== debian/changelog ===
ktp-text-ui (0.9.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Merge with Debian git, no changes
  * Update 02_ktpchat_soversion.diff to match upstream Git

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 28 Oct 2014 13:14:03 +0100

ktp-text-ui (0.8.80-1) UNRELEASED; urgency=medium

  * New upstream release.
  * Update libtelepathy-qt build-dep to 0.9.5
  * Update libktpcommoninternalsprivate-dev build-dep to 0.8.80
  * Update libtelepathy-logger-qt build-dep to 0.8.0
  * Change kde-telepathy-data dependency to source:Upstream-Version
  * Change to using .install file and default dh_auto_install behavior
    - this maeks dh_install --list-missing more reliable.
  * Update version number in lintian-override
  * Update copyright file
  * Prevent another license file from being installed into usr/lib
  * Use libjs-jquery (>= 1.7) and libjs-scriptaculous (>= 1.8.2)
    instead of minimized copies provided by upstream.

 -- Diane Trout <diane@ghic.org>  Sun, 21 Sep 2014 11:01:08 -0700

ktp-text-ui (0.8.1-1) unstable; urgency=low

  * New upstream release
  * Update Standards-Version to 3.9.5. No changes needed.
  * Bump ktp-common-internals and kde-telepath-data dependencies to 0.8.1
  * Remove 04_no_require_x11.patch
  * Update debian/copyright

 -- Diane Trout <diane@ghic.org>  Fri, 16 May 2014 21:06:46 -0700

ktp-text-ui (0.7.0-1) unstable; urgency=low

  * New upstream release.
  * Add libqjson-dev Build-Depends.
  * Add 04_no_require_x11.patch from upstream
  * Bump ktp-common-internals and kde-telepath-data dependencies to 0.7.0

 -- Diane Trout <diane@ghic.org>  Wed, 27 Nov 2013 18:16:56 -0800

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: ktp-text-ui
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Debian/Kubuntu KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Diane Trout <diane@ghic.org>, Michał Zając <quintasan@kubuntu.org>, Mark Purcell <msp@debian.org>
 Build-Depends: debhelper (>= 9),
  pkg-kde-tools (>= 0.9),
- libtelepathy-qt4-dev (>= 0.9.3),
+ libtelepathy-qt4-dev (>= 0.9.5),
  kdelibs5-dev (>= 4:4.6),
  libqtwebkit-dev,
  cmake (>= 2.8),
- libktpcommoninternalsprivate-dev (>= 0.8.1),
+ libktpcommoninternalsprivate-dev (>= 0.8.80),
  libtelepathy-logger-dev,
- libtelepathy-logger-qt4-dev (>= 0.5.60),
+ libtelepathy-logger-qt4-dev (>= 0.8.0),
  libqjson-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-text-ui
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-text-ui.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/kde-telepathy/ktp-text-ui.git
@@ -22,7 +21,9 @@
 Package: kde-telepathy-text-ui
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
- kde-telepathy-data (>= 0.6.2)
+ kde-telepathy-data (>= ${source:Upstream-Version}),
+ libjs-jquery (>= 1.7),
+ libjs-scriptaculous (>= 1.8.2),
 Recommends: kde-telepathy
 Replaces: libktpchat0
 Description: Telepathy text chat UI for the KDE Plasma Desktop

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with kde --dbg-package=kde-telepathy-text-ui-dbg

override_dh_install:
	rm "debian/tmp/usr/share/kde4/apps/ktelepathy/styles/renkoo.AdiumMessageStyle/Contents/Resources/Renkoo LICENSE.txt"
	rm "debian/tmp/usr/share/kde4/apps/ktelepathy/styles/SimKete.AdiumMessageStyle/Contents/README"
	rm "debian/tmp/usr/share/kde4/apps/ktelepathy/styles/WoshiChat.AdiumMessageStyle/LICENSE"
	rm "debian/tmp/usr/share/kde4/apps/ktelepathy/styles/WoshiChat.AdiumMessageStyle/Contents/Resources/lib/jquery.min.js"
	rm "debian/tmp/usr/share/kde4/apps/ktelepathy/styles/WoshiChat.AdiumMessageStyle/Contents/Resources/lib/scriptaculous183.js"
	rm "debian/tmp/usr/lib/libktpchat.so"
	dh_install --list-missing

## ktp-text-ui 15.08.2

=== debian/changelog ===
ktp-text-ui (4:15.08.2-0ubuntu1) wily; urgency=medium

  * Vivid backport
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:52:33 +0100

ktp-text-ui (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 17:34:10 +0100

ktp-text-ui (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:43:08 +0100

ktp-text-ui (4:15.07.90-0ubuntu1) wily; urgency=medium

  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 11:20:00 +0100

ktp-text-ui (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Harald Sitter ]
  * KDE Frameworks 5 port

  [ Scarlett Clark ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 10 Jun 2015 18:59:58 +0200

=== debian/control ===
Source: ktp-text-ui
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Mark Purcell <msp@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules,
               gettext,
               kio-dev,
               libkf5archive-dev,
               libkf5attica-dev,
               libkf5auth-dev,
               libkf5bookmarks-dev,
               libkf5codecs-dev,
               libkf5completion-dev,
               libkf5config-dev,
               libkf5configwidgets-dev,
               libkf5coreaddons-dev,
               libkf5dbusaddons-dev,
               libkf5emoticons-dev,
               libkf5globalaccel-dev,
               libkf5guiaddons-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5itemviews-dev,
               libkf5jobwidgets-dev,
               libkf5kcmutils-dev,
               libkf5notifications-dev,
               libkf5notifyconfig-dev,
               libkf5people-dev,
               libkf5service-dev,
               libkf5solid-dev,
               libkf5sonnet-dev,
               libkf5textwidgets-dev,
               libkf5wallet-dev,
               libkf5webkit-dev,
               libkf5widgetsaddons-dev,
               libkf5windowsystem-dev,
               libkf5xmlgui-dev,
               libktp-dev,
               libqt5webkit5-dev,
               libtelepathy-qt5-dev,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-text-ui
Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/ktp-text-ui.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/ktp-text-ui.git

Package: kde-telepathy-text-ui
Architecture: any
Depends: kde-telepathy-data,
         libjs-jquery (>= 1.7),
         libjs-scriptaculous (>= 1.8.2),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: kde-telepathy
Description: Telepathy text chat UI for the KDE Plasma Desktop
 This package provides a telepathy handler for text channels, a program
 that in other words allows you to chat with your contacts using instant
 text messages.
 .
 In addition, this package also provides a UI for viewing telepathy
 text chat logs.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

Package: kde-telepathy-text-ui-dbg
Architecture: any
Section: debug
Priority: extra
Depends: kde-telepathy-text-ui (= ${binary:Version}), ${misc:Depends}
Description: Telepathy text chat UI for the KDE Plasma Desktop - debug symbols
 This package provides debug symbols for the KDE Telepathy text chat UI.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=kde-telepathy-text-ui-dbg

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/ktp-text-ui-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/ktp-text-ui-([\d.]+).tar.xz

## ktp-text-ui 15.08.3

=== debian/changelog ===
ktp-text-ui (15.08.3-1) unstable; urgency=medium

  * New upstream release.
  * Use version of libkf5emoticons that forces emoticons-bin dependency
    (Closes: #805453)

 -- Diane Trout <diane@ghic.org>  Sat, 05 Dec 2015 11:08:11 -0800

ktp-text-ui (15.08.2-1) unstable; urgency=medium

  * Update watch file for KTp's move to Applications
  * New upstream release. (Closes: #784489)
  * Update build-depends for KF5 and rename of
    libktpcommoninternalsprivate-dev to libktp-dev
  * Update copyright file
    - Remove Files-Excluded, upstream fixed
    - Remove cmake/* as it was removed
    - Remove all of the po/* blocks
  * Use dhmk from pkg-kde-tools to build ktp.
    - Change maintainer to debian-qt-kde
    - Update debian/rules
  * Remove kde-telepathy-text-ui.links scriptaculous was removed and
    jquery is being handled by kde-telepathy-text-ui.linktree
  * Update install paths for KF5 locations.
  * Don't apply 02_ktpchat_soversion.diff
    Remove diffs no longer being applied.
  * Add KDE's unstable download url to watch file
  * Use dh-linktree to use to replace jquery.js files.
  * Add dependency on libjs-jquery to provide replacement jquery.js
  * Update lintian-overrides for move to multiarch.
  * Update Build-Depends to use telepathy-qt5-dev

 -- Diane Trout <diane@ghic.org>  Sat, 07 Nov 2015 11:02:45 -0800

ktp-text-ui (0.9.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update libtelepathy-qt build-dep to 0.9.5
  * Update libktpcommoninternalsprivate-dev build-dep to 0.9.0
  * Update libtelepathy-logger-qt build-dep to 0.8.0
  * Add libkpeople-dev 0.3 build-dep
  * Change to using .install file and default dh_auto_install behavior
    - this makes dh_install --list-missing more reliable.
  * Update version number in lintian-override
  * Update copyright file
  * Prevent another license file from being installed into usr/lib
  * Use libjs-jquery (>= 1.7) and libjs-scriptaculous (>= 1.8.2)
    instead of minimized copies provided by upstream.
  * Update copyright file
  * Update Standards-Version to 3.9.6. No changes needed.
  * Build dfsg version to remove minimized js source files:
    jquery.min.js and scriptaculous183.js

 -- Diane Trout <diane@ghic.org>  Wed, 20 May 2015 22:26:23 -0700

=== debian/control ===
Source: ktp-text-ui
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>, Michał Zając <quintasan@kubuntu.org>, Mark Purcell <msp@debian.org>
Build-Depends: debhelper (>= 9), dh-linktree,
 pkg-kde-tools (>= 0.9),
 libjs-jquery,
 libtelepathy-qt5-dev (>= 0.9.5),
 libtelepathy-logger-qt-dev,
 cmake (>= 2.8.12~),
 extra-cmake-modules (>= 1.3.0),
 libqt5webkit5-dev,
 kio-dev,
 libktp-dev (>= 15.04),
 libkf5archive-dev,
 libkf5dbusaddons-dev,
 libkf5emoticons-dev (>= 5.16-2),
 libkf5i18n-dev,
 libkf5iconthemes-dev,
 libkf5itemviews-dev,
 libkf5kcmutils-dev,
 libkf5notifications-dev,
 libkf5notifyconfig-dev,
 libkf5people-dev,
 libkf5service-dev,
 libkf5sonnet-dev,
 libkf5textwidgets-dev,
 libkf5wallet-dev,
 libkf5webkit-dev,
 libkf5widgetsaddons-dev,
 libkf5windowsystem-dev,
 libkf5xmlgui-dev,
 libqjson-dev
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-text-ui
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-text-ui.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/kde-telepathy/ktp-text-ui.git

Package: kde-telepathy-text-ui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 kde-telepathy-data (>= 0.8.1),
 libjs-jquery (>= 1.7),
Recommends: kde-telepathy
Replaces: libktpchat0
Description: Telepathy text chat UI for the KDE Plasma Desktop
 This package provides a telepathy handler for text channels, a program
 that in other words allows you to chat with your contacts using instant
 text messages.
 .
 In addition, this package also provides a UI for viewing telepathy
 text chat logs.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

Package: kde-telepathy-text-ui-dbg
Architecture: any
Section: debug
Priority: extra
Depends: kde-telepathy-text-ui (= ${binary:Version}), ${misc:Depends}
Description: Telepathy text chat UI for the KDE Plasma Desktop - debug symbols
 This package provides debug symbols for the KDE Telepathy text chat UI.

=== debian/rules ===
--- 
+++ 
@@ -4,3 +4,10 @@
 
 override_dh_strip:
 	$(overridden_command) --dbg-package=kde-telepathy-text-ui-dbg
+
+override_dh_install:
+	$(overridden_command) --fail-missing
+	dh_linktree
+
+get-orig-source:
+	uscan --verbose --force-download --repack --compression xz

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg//,repacksuffix=+dfsg \
http://download.kde.org/stable/applications/([\d.]+)/src/ktp-text-ui-([\d.]+).tar.(?:bz2|xz)
http://download.kde.org/unstable/applications/([\d.]+)/src/ktp-text-ui-([\d.]+).tar.(?:bz2|xz)
